/*
 * @Date: 2024-09-29 16:21:01
 * @LastEditTime: 2024-11-18 14:24:09
 * @FilePath: /web/common/src/api/index.ts
 * @Description: common api 部分
 */

import request from '../axios'

// 埋点记录进入路由
export const saveCommonRoute = (data) => {
  return request.post({ url: '/api/oauthConfig/applicationCommonFunction/access', data })
}
// 查询字典列表
export const getCodeList = (data) => {
  return request.post({ url: '/api/sys/code/query', data })
}

/**
 * 获取部门树
 * @param parentId 上级部门ID
 * @param deptName    部门名称
 */
export const getDeptTree = (params = {}) => {
  return request.get({ url: '/api/sys/dept/getDeptTree', params })
}
// 获取行政区划树
export const getDistrictTree = (id: number = 0) => {
  return request.get({
    url: `/api/sys/district/getDistrictTree?parentId=${id}`
  })
}
/**
 * 获取系统用户列表
 * @param deptId 部门ID
 * @param userName    部门名称
 * @param deptIdList 部门ID集合
 */
export const getUserList = (data) => {
  return request.post({ url: '/api/sys/user/query', data })
}

// 修改密码
export const changePassword = (data) => {
  return request.post({ url: '/api/sys/token/changePassword', data })
}
